browser_461743.js is randomly timing out

RESOLVED FIXED in Firefox 3.7a1

Status

()

defect
RESOLVED FIXED
10 years ago
7 years ago

People

(Reporter: mak, Assigned: mak)

Tracking

({intermittent-failure})

Trunk
Firefox 3.7a1
Points:
---
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

This test is always failing locally for me, and randomly timing out on tinderboxes

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1255381278.1255382884.1556.gz
WINNT 5.2 mozilla-central test opt everythingelse on 2009/10/12 14:01:18

i'll try to come with a patch, if possible.
Whiteboard: [orange]
temporary assigning to me to avoid losing track
Assignee: nobody → mak77
Please add some more details when filing bugs!

(In reply to comment #0)

{
Running chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_461743.js...
TEST-INFO | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_461743.js | Console message: [JavaScript Error: "[Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIObserverService.removeObserver]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://browser/content/browser.js :: FullZoom_destroy :: line 175"  data: no]" {file: "chrome://browser/content/browser.js" line: 3700}]
TEST-INFO | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_461743.js | Console message: [JavaScript Error: "uncaught exception: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIObserverService.removeObserver]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://browser/content/browser.js :: BrowserShutdown :: line 3705"  data: no]"]
TEST-INFO | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_461743.js | Console message: [JavaScript Error: "[Exception... "'JavaScript component does not have a method named: "notify"' when calling method: [nsITimerCallback::notify]"  nsresult: "0x80570030 (NS_ERROR_XPC_JSOBJECT_HAS_NO_FUNCTION_NAMED)"  location: "<unknown>"  data: no]"]
NEXT ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_461743.js | Timed out
}
pushed experimental change
http://hg.mozilla.org/mozilla-central/rev/af0ade2a9a1d
will backout if nothing changes.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256494307.1256496253.22176.gz
WINNT 5.2 mozilla-central test everythingelse on 2009/10/25 11:11:47
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256739836.1256742227.6596.gz
WINNT 5.2 mozilla-central test opt everythingelse on 2009/10/28 07:23:56
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256923246.1256925115.26702.gz#err1
WINNT 5.2 mozilla-central test opt everythingelse on 2009/10/30 10:20:46
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257167682.1257169320.4802.gz
WINNT 5.2 mozilla-central test opt everythingelse on 2009/11/02 05:14:42
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257363662.1257366107.10413.gz
WINNT 5.2 mozilla-central test opt everythingelse on 2009/11/04 11:41:02
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257548618.1257551067.15003.gz
WINNT 5.2 mozilla-central opt test everythingelse on 2009/11/06 15:03:38
Whiteboard: [orange] → [orange] [opt-orange]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257811335.1257814375.28466.gz
WINNT 5.2 mozilla-central opt test everythingelse on 2009/11/09 16:02:15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257870980.1257877644.13491.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/10 08:36:20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257932535.1257934416.30268.gz
WINNT 5.2 mozilla-central opt test everythingelse on 2009/11/11 01:42:15  
"s: moz2-win32-slave32"
Depends on: 528440
(In reply to comment #0)
> This test is always failing locally for me,

Is this still the case?
(In reply to comment #13)
> (In reply to comment #0)
> > This test is always failing locally for me,
> 
> Is this still the case?

unfortunatly no.
Well, I think that's good!
Status: NEW → RESOLVED
Last Resolved: 10 years ago
Resolution: --- → WORKSFORME
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258249021.1258251385.1914.gz
WINNT 5.2 mozilla-central opt test everythingelse on 2009/11/14 17:37:01
"s: moz2-win32-slave02"

TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_461743.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/fuel/test/browser_Browser.js | Checking length of 'Browser.tabs' after opening 1 additional tab - Got 4, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/fuel/test/browser_Browser.js | Checking length of 'Browser.tabs' after opening a second additional tab - Got 5, expected 3
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/fuel/test/browser_Browser.js | Checking index after moving tab - Got 4, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/fuel/test/browser_Browser.js | Checking length of 'Browser.tabs' after closing 2 tabs - Got 3, expected 1

That's on your backout of http://hg.mozilla.org/mozilla-central/rev/01adc20ea792 so apparently it wasn't wfm so much as fixed-by-that.
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---
I don't think http://hg.mozilla.org/mozilla-central/rev/01adc20ea792 could have made a difference for this, as browser_461743.js runs before browser_526613.js.
No longer depends on: 528440
i have been able to reproduce a timeout in my slow VM
Posted patch patch v1.0Splinter Review
similarly to bug 521802 this seem to solve the random timeouts locally, the change involves making the test wait for both frames load events.
Attachment #412648 - Flags: review?(zeniko)

Comment 20

10 years ago
Comment on attachment 412648 [details] [diff] [review]
patch v1.0

Bug 521802 comment #56 and following apply here as well.
i think similarly to what happens for browser_459906.js, frames can be loaded in different times, and be ready at different times, waiting DOMContentLoaded for both frames won't change the order of what happens later, waiting for load of both frames before going on is sane, we are interested in duplicating a stable situation of tabs, the test contents themselves are ensuring order of the events.

Comment 23

10 years ago
Comment on attachment 412648 [details] [diff] [review]
patch v1.0

Same as bug 521802 comment #67 and #68.
Attachment #412648 - Flags: review?(zeniko) → review+
crossing fingers
http://hg.mozilla.org/mozilla-central/rev/7385868057d7
Status: REOPENED → RESOLVED
Last Resolved: 10 years ago10 years ago
Resolution: --- → FIXED
Flags: in-testsuite+
Target Milestone: --- → Firefox 3.7a1
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Whiteboard: [orange] [opt-orange] → [opt-orange]
Whiteboard: [opt-orange]
You need to log in before you can comment on or make changes to this bug.